Bug 248686 - Avoid deleting the preference window
Avoid deleting the preference window
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-users (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
: Desktop
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-18 04:56 EDT by Masatake YAMATO
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-27 03:37:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Fix the bug with using hide_on_delete instead of hide. (652 bytes, patch)
2007-07-18 04:56 EDT, Masatake YAMATO
no flags Details | Diff

  None (edit)
Description Masatake YAMATO 2007-07-18 04:56:34 EDT
Description of problem:

Preference window is really deleted when a user closes it with [X] button
of window manager. It should be just hidden but deleted actually.

Version-Release number of selected component (if applicable):

system-config-users-1.2.60-1.fc7.src.rpm

How reproducible:

Always.

Steps to Reproduce:
0. Launch system-config-user from a terminal.
1. Choose Edit-> Preferences
2. Close it with [X] button of window manager(don't use close button of dialog
itself)
3. Re-choose Edit-> Preferences
4. Preference window isn't shown and you'll get following error message on the
termianl: 

 /usr/share/system-config-users/prefWindow.py:34: GtkWarning:
gtk_container_foreach: assertion `GTK_IS_CONTAINER (container)' failed
  self.toplevel.show ()

Actual results:

The preference window is not shown.

Expected results:

The preference window is shown.

Additional info:

A patch for fixing this is attached.
Comment 1 Masatake YAMATO 2007-07-18 04:56:34 EDT
Created attachment 159501 [details]
Fix the bug with using hide_on_delete instead of hide.
Comment 2 Nils Philippsen 2007-07-18 09:27:00 EDT
Hi Yamato,

thanks for spotting this. I've fixed it a little bit differently in the
hosted.fpo repo, by just returning True in PrefWindow.hide().
Comment 3 Nils Philippsen 2007-07-23 05:04:01 EDT
Building system-config-users-1.2.61 which should hit updates-testing shortly.
Please test this one.
Comment 4 Fedora Update System 2007-07-23 11:46:03 EDT
system-config-users-1.2.61-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Nils Philippsen 2007-09-27 03:37:58 EDT
system-config-users-1.2.64-1.fc7 is in dist-fc7-updates, closing

Note You need to log in before you can comment on or make changes to this bug.